---
title: SourceBuffer.appendStream()
slug: Web/API/SourceBuffer/appendStream
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Method
  - Reference
  - SourceBuffer
  - Video
  - appendstream
---
<div>{{APIRef("Media Source Extensions")}}{{obsolete_header}}</div>

<p>The <code><strong>appendStream()</strong></code> method of the {{domxref("SourceBuffer")}} interface appends media segment data from a <code>ReadableStream</code> object to the <code>SourceBuffer</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sourceBuffer</em>.appendStream(<em>stream</em>, <em>maxSize</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>stream</dt>
 <dd>The {{domxref("ReadableStream")}} that is the source of the media segment data you want to append to the <code>SourceBuffer</code>.</dd>
 <dt>maxSize</dt>
 <dd>An unsigned long value indicating the maximum number of bytes that can be appended in this operation.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>None.</p>

<h2 id="Example">Example</h2>

<p>TBD.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.appendStream")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
